# /api/v3/work_packages/{id}/available_watchers
---
get:
  parameters:
  - description: work package id
    example: '1'
    in: path
    name: id
    required: true
    schema:
      type: integer
  responses:
    '200':
      content:
        application/hal+json:
          examples:
            response:
              value:
                _embedded:
                  elements:
                  - _links:
                      delete:
                        href: "/api/v3/users/1"
                        method: DELETE
                        title: Delete j.sheppard
                      lock:
                        href: "/api/v3/users/1/lock"
                        method: POST
                        title: Set lock on j.sheppard
                      self:
                        href: "/api/v3/users/1"
                        title: John Sheppard - j.sheppard
                    _type: User
                    avatar: https://example.org/users/1/avatar
                    createdAt: '2014-05-21T08:51:20.396Z'
                    email: shep@mail.com
                    firstName: John
                    id: 1
                    lastName: Sheppard
                    login: j.sheppard
                    status: active
                    updatedAt: '2014-05-21T08:51:20.396Z'
                  - _links:
                      delete:
                        href: "/api/v3/users/2"
                        method: DELETE
                        title: Delete j.sheppard2
                      lock:
                        href: "/api/v3/users/2/lock"
                        method: POST
                        title: Set lock on j.sheppard2
                      self:
                        href: "/api/v3/users/2"
                        title: Jim Sheppard - j.sheppard2
                    _type: User
                    avatar: https://example.org/users/1/avatar
                    createdAt: '2014-05-21T08:51:20.396Z'
                    email: shep@mail.net
                    firstName: Jim
                    id: 2
                    lastName: Sheppard
                    login: j.sheppard2
                    status: active
                    updatedAt: '2014-05-21T08:51:20.396Z'
                _links:
                  self:
                    href: "/api/v3/work_packages/1/available_watchers"
                _type: Collection
                count: 2
                total: 2
          schema:
            "$ref": "../components/schemas/available_watchers_model.yml"
      description: OK
      headers: {}
    '403':
      content:
        application/hal+json:
          schema:
            $ref: "../components/schemas/error_response.yml"
          examples:
            response:
              value:
                _type: Error
                errorIdentifier: urn:openproject-org:api:v3:errors:MissingPermission
                message: You are not authorized to access this resource.
      description: |-
        Returned if the client does not have sufficient permissions.

        **Required permission:** add work package watchers

        *Note that you will only receive this error, if you are at least allowed to see the corresponding work package.*
      headers: {}
    '404':
      content:
        application/hal+json:
          schema:
            $ref: "../components/schemas/error_response.yml"
          examples:
            response:
              value:
                _type: Error
                errorIdentifier: urn:openproject-org:api:v3:errors:NotFound
                message: The specified work package does not exist.
      description: |-
        Returned if the work package does not exist or the client does not have sufficient permissions to see it.

        **Required permission:** view work package
      headers: {}
  tags:
  - Work Packages
  description: Gets a list of users that are able to be watchers of the specified
    work package.
  operationId: Available_watchers
  summary: Available watchers
